Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Class ProtegeNames

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.ProtegeNames

    public class ProtegeNames

extends Object

The namespaces and names from the Protege meta ontology. This ontology is used to represent Protege-specific metadata such as whether a class is abstract or not.

Author:
  Holger Knublauch

Nested Class Summary
`static interface` | `ProtegeNames.Cls`
`static interface` | `ProtegeNames.Slot`

Field Summary
`static String` | `ABSTRACT`
`static String` | `ALLOWED_PARENT`
`static String` | `DEFAULT_DEFAULT_BASE`
`static String` | `DEFAULT_DEFAULT_NAMESPACE`
`static String` | `DEFAULT_LANGUAGE`
`static String` | `DEFAULT_ONTOLOGY`
`static String` | `EXCLUDED_TEST`
`static String` | `FILE` Deprecated. use `PROTEGE_OWL_ONTOLOGY`
`static String` | `NS` Deprecated. use `PROTEGE_OWL_NAMESPACE`
`static String` | `PREFIX`
`static String` | `PREFIX_LOCALNAME_SEPARATOR`
`static String` | `PROBE_CLASS`
`static String` | `PROTEGE_OWL_NAMESPACE`
`static String` | `PROTEGE_OWL_ONTOLOGY`
`static String` | `PROTEGE_PREFIX`
`static String` | `RDF_TYPE_INVERSE` Not represented as a property yet, but in the future the :DIRECT-INSTANCES system slot could be mapped into this, to access the inverses of rdf:type
`static String` | `RDF_TYPE_INVERSE_PREFIXED`
`static String` | `RDFS_SUB_CLASS_OF_INVERSE`
`static String` | `RDFS_SUB_CLASS_OF_INVERSE_PREFIXED`
`static String` | `READ_ONLY`
`static String` | `SUBCLASSES_DISJOINT`
`static String` | `TODO_PREFIX`
`static String` | `TODO_PROPERTY`
`static String` | `USED_LANGUAGE`

Constructor Summary
`ProtegeNames()`

Method Summary
`static com.hp.hpl.jena.ontology.AnnotationProperty` | `getAbstractProperty(com.hp.hpl.jena.ontology.OntModel ontModel)`
`static com.hp.hpl.jena.ontology.AnnotationProperty` | `getAllowedParentProperty(com.hp.hpl.jena.ontology.OntModel ontModel)`
`static String` | `getDefaultLanguageSlotName()`
`static String` | `getProbeClassSlotName()`
`static String` | `getReadOnlySlotName()`
`static String` | `getSubclassesDisjointSlotName()`
`static String` | `getTodoPrefixSlotName()`
`static String` | `getTodoPropertySlotName()`
`static String` | `getUsedLanguagesSlotName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX_LOCALNAME_SEPARATOR

    public static final String PREFIX_LOCALNAME_SEPARATOR

See Also:
  Constant Field Values

### DEFAULT_DEFAULT_BASE

    public static final String DEFAULT_DEFAULT_BASE

See Also:
  Constant Field Values

### DEFAULT_DEFAULT_NAMESPACE

    public static final String DEFAULT_DEFAULT_NAMESPACE

See Also:
  Constant Field Values

### DEFAULT_ONTOLOGY

    public static final String DEFAULT_ONTOLOGY

See Also:
  Constant Field Values

### PROTEGE_PREFIX

    public static String PROTEGE_PREFIX

### PREFIX

    public static final String PREFIX

### PROTEGE_OWL_ONTOLOGY

    public static String PROTEGE_OWL_ONTOLOGY

### FILE

    @Deprecated
    public static String FILE

  Deprecated. use `PROTEGE_OWL_ONTOLOGY`

### PROTEGE_OWL_NAMESPACE

    public static final String PROTEGE_OWL_NAMESPACE

### NS

    @Deprecated
    public static final String NS

  Deprecated. use `PROTEGE_OWL_NAMESPACE`

### ABSTRACT

    public static final String ABSTRACT

See Also:
  Constant Field Values

### ALLOWED_PARENT

    public static final String ALLOWED_PARENT

See Also:
  Constant Field Values

### DEFAULT_LANGUAGE

    public static final String DEFAULT_LANGUAGE

See Also:
  Constant Field Values

### EXCLUDED_TEST

    public static final String EXCLUDED_TEST

See Also:
  Constant Field Values

### PROBE_CLASS

    public static final String PROBE_CLASS

See Also:
  Constant Field Values

### READ_ONLY

    public static final String READ_ONLY

See Also:
  Constant Field Values

### SUBCLASSES_DISJOINT

    public static final String SUBCLASSES_DISJOINT

See Also:
  Constant Field Values

### TODO_PREFIX

    public static final String TODO_PREFIX

See Also:
  Constant Field Values

### TODO_PROPERTY

    public static final String TODO_PROPERTY

See Also:
  Constant Field Values

### RDFS_SUB_CLASS_OF_INVERSE

    public static final String RDFS_SUB_CLASS_OF_INVERSE

See Also:
  Constant Field Values

### RDFS_SUB_CLASS_OF_INVERSE_PREFIXED

    public static final String RDFS_SUB_CLASS_OF_INVERSE_PREFIXED

### RDF_TYPE_INVERSE

    public static final String RDF_TYPE_INVERSE

  Not represented as a property yet, but in the future the :DIRECT-INSTANCES system slot could be mapped into this, to access the inverses of rdf:type

  See Also:
    Constant Field Values

### RDF_TYPE_INVERSE_PREFIXED

    public static final String RDF_TYPE_INVERSE_PREFIXED

### USED_LANGUAGE

    public static final String USED_LANGUAGE

See Also:
  Constant Field Values

Constructor Detail

### ProtegeNames

    public ProtegeNames()

Method Detail

### getAbstractProperty

    public static com.hp.hpl.jena.ontology.AnnotationProperty getAbstractProperty(com.hp.hpl.jena.ontology.OntModel ontModel)

### getAllowedParentProperty

    public static com.hp.hpl.jena.ontology.AnnotationProperty getAllowedParentProperty(com.hp.hpl.jena.ontology.OntModel ontModel)

### getProbeClassSlotName

    public static String getProbeClassSlotName()

### getReadOnlySlotName

    public static String getReadOnlySlotName()

### getSubclassesDisjointSlotName

    public static String getSubclassesDisjointSlotName()

### getTodoPrefixSlotName

    public static String getTodoPrefixSlotName()

### getTodoPropertySlotName

    public static String getTodoPropertySlotName()

### getDefaultLanguageSlotName

    public static String getDefaultLanguageSlotName()

### getUsedLanguagesSlotName

    public static String getUsedLanguagesSlotName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.